Subject: Re: bug#15059: 24.3; nth with negative index values

From: Glenn Morris <[email-masked]>
Date: Fri, 09 Aug 2013 21:31:26 -0400

Stefan Monnier wrote:

>> Easy to raise an error (unless something was relying on the behaviour
>> for -ve arguments?):
>
> We could try.  But note that Emacs-19.34 already behaved like that (I
> don't have any older version at hand to test).  Not sure it's important
> to "fix".

Oh, the elisp manual actually documents the -ve argument case:

   -- Function: nth n list
  [...]
  If N is negative, `nth' returns the first element of LIST.
  [...]
  (nth -3 '(1 2 3 4))
               => 1

All hope is lost!